com.amos.server.wifibroadcaster

## Class WifiBradcasterSingelton

- java.lang.Object
- - com.amos.server.wifibroadcaster.WifiBradcasterSingelton

-     public class WifiBradcasterSingelton
      extends java.lang.Object

  Manage WifiServiceManager instances for the whole application. Only one connection needs to be handled at any time, but the object itself can change depending on disconnects and other operations. This wrapper class handles global access to the WifiServiceManager object.

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `WifiBradcasterSingelton()`

  - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `com.amos.server.wifibroadcaster.WifiServiceManager` | `getBroadcaster()` Get the current WifiBroadcaster
    `static WifiBradcasterSingelton` | `getInstance()` Get current WifiBradcaster.
    `void` | `setInstance(android.net.wifi.p2p.WifiP2pManager manager, android.net.wifi.p2p.WifiP2pManager.Channel channel, android.app.Activity activity)` Create a new WifiServiceManager using given P2P objects.

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### WifiBradcasterSingelton

          public WifiBradcasterSingelton()

  - ### Method Detail

    - #### getInstance

          public static WifiBradcasterSingelton getInstance()

      Get current WifiBradcaster. This follows a standard singleton pattern for java. Other objects have to reference to this class via a getter, thus avoiding creating additional instances of this class across the application.
      Returns:

    - #### getBroadcaster

          public com.amos.server.wifibroadcaster.WifiServiceManager getBroadcaster()

      Get the current WifiBroadcaster
      Returns:

    - #### setInstance

          public void setInstance(android.net.wifi.p2p.WifiP2pManager manager,
                                  android.net.wifi.p2p.WifiP2pManager.Channel channel,
                                  android.app.Activity activity)

      Create a new WifiServiceManager using given P2P objects.
      Parameters:
        `manager` -
        `channel` -
        `activity` -